<?php
/*=========================================================+
|| # Azure Kernel of XDRCMS. All rights reserved.
|| # Copyright  2011 Xdr.
|+=========================================================+
|| # Lns 2011. The power of Proyects.
|| # Este es un Software de cdigo libre, libre edicin.
|+=========================================================+
*/

// Inicio

define("IN_AZURE", TRUE);
define('MY_IP', $_SERVER['REMOTE_ADDR']);
define('KERNEL', dirname(__FILE__) . DIRECTORY_SEPARATOR);
define('LANGUAGES', KERNEL . 'Lang' . DIRECTORY_SEPARATOR);
define('Files', KERNEL . 'Files' . DIRECTORY_SEPARATOR);

define("Azure", "[0401]");
define("System", "[0013]");
define("Users", "[0001]");
define("Addons", "");

date_default_timezone_set('Europe/Madrid');
error_reporting(E_ALL & ~E_NOTICE & ~E_DEPRECATED);

session_start();

// Systema de Error v1.2
function writeError($title, $message, $fix, $externalError = "")
{
	echo "<div style=\"width: 80%; padding: 15px 15px 15px 15px; margin: 50px auto; background-color: #F6CECE; font-family: arial; font-size: 12px; color: #000000; border: 1px solid #FF0000;\">";
	echo "<img src=\"../error.png\" style=\"float: left;\" title=\"Error\">&nbsp;";
	echo "<b>". $title . "</b><br />";
	echo "&nbsp;";
	echo "<hr size=\"1\" style=\"width: 100%; margin: 15px 0px 15px 0px;\" />";
	echo "Sistema Xdr Cms Detenido. Al parecer ha habido el siguiente <b>ERROR</b>:";
	echo $message;
	echo "</div><center style=\"font-family: arial; font-size: 10px;\">Powered by <a href=\"http://www.xdrcms.es\">Xdr Cms</a> - Copyright &copy 2012, <a href=\"http://www.xdrcms.es\">Xdr</a>.</center>";
		
	if(!empty($externalError))
	{
		echo "<hr />";
		echo "<p><pre>Mensaje de error: <b><i>" . $externalError . "</i></b>";
	}

	if(!empty($fix))
	{
		echo "<hr />";
		echo "<p><pre>Mensaje: <b><i>Areglando ...</i></b>";
		echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"3; URL=". $fix . "\">";
	}
	
		exit;
	
}

// Comenzando definiciones de variables
// Versin

$H = date('H');
$i = date('i');
$s = date('s');
$m = date('m');
$d = date('d');
$Y = date('Y');
$j = date('j');
$n = date('n');
$M = date('M');
$A = date('A');

$date_normal = date('d-m-Y',mktime($m,$d,$Y));
$date_reversed = date('Y-m-d', mktime($m,$d,$y));
$date_full = date('d-m-Y H:i:s',mktime($H,$i,$s,$m,$d,$Y));
$date_time = date('H:i:s',mktime($H,$i,$s));
$time_compare = (time() - 501);
$time_error = date('Ymdtim');

$Azure['major'] = "11";
$Azure['minor'] = "8";
$Azure['release'] = "2";
$Azure['build'] = "365";
$Azure['server_version'] = "63";
$Azure['time_creation'] = "13:57";
$Azure['date_creation'] = "20.05.2011";
$Azure['version'] = $Azure['major'].".".$Azure['minor'].".".$Azure['release']." Build ".$Azure['build'];
$Azure['update'] = $Azure['build'].$Azure['server_version']."_".$Azure['major'].$Azure['minor'].$Azure['release']."-02".$Azure['date_creation'];
$Azure['web'] = $Azure['server_version']."-BUILD".$Azure['build']." - ".$Azure['date_creation']." ".$Azure['time_creation']." - es - XdrCMS ".$Azure['major'];
$Azure['title'] = "XdrCms 12";
$Azure['build2'] = $Azure['major'] . $Azure['minor'] . $Azure['release'] . "0";
$Azure['xdr'] = $Azure['title'] . " Build: " . $Azure['build2'];
$Azure['stable'] = "Estable";
$Azure['server'] = "XdrCms_12.0.0";

$server['type'] = "XdrEmu";
$server['name'] = "XdrEmu";

//Comenzando verificacin e inicio de Classes

$errortxt;

if(!file_exists(KERNEL . "Azure" . Azure . ".php"))
{
	$errortxt = $errortxt . "<p><pre><b>No existe el archivo " . KERNEL . "Azure" . Azure . ".php</b></pre></p>";
}

if(!file_exists(KERNEL . "Functions.php"))
{
	$errortxt = $errortxt . "<p><pre><b>No existe el archivo " . KERNEL . "Functions.php</b></pre></p>";
}

if(file_exists(KERNEL . "Time.php"))
{
	require_once(KERNEL . "Time.php");
	$Time = new Time();
}
else
{	
	$errortxt = $errortxt . "<p><pre><b>No existe el archivo " . KERNEL . "Time.php</b></pre></p>";
}

if(file_exists(KERNEL . "System" . System . ".php"))
{
	require_once(KERNEL . "System" . System . ".php");
	$System = new System();
}
else
{	
	$errortxt = $errortxt . "<p><pre><b>No existe el archivo " . KERNEL . "System" . System . ".php</b></pre></p>";
}

if(file_exists(KERNEL . "Users" . Users . ".php"))
{
	require_once(KERNEL . "Users" . Users . ".php");
	$Users = new Users();
}
else
{	
	$errortxt =  $errortxt . "<p><pre><b>No existe el archivo " . KERNEL . "Users" . Users . ".php</b></pre></p>";
}

if(LoadAzure == "TRUE")
{
	require_once(KERNEL . "Azure" . Azure . ".php");
	require_once(KERNEL . "Functions" . ".php");
	require_once(KERNEL . "RecaptchaLib" . ".php");


	if(file_exists(LANGUAGES . $language . '.php'))
	{
		require_once(LANGUAGES . $language . '.php');
	}
	else
	{
		$errortxt =  $errortxt . "<p><pre><b>No ha sido encontrado el archivo de idioma de XdrCMS. Por favor asegurate de que el archivo '". LANGUAGES . $language . '.php'." ' exista</b></pre></p>";
	}
}

if(file_exists(KERNEL . "Addons" . Addons . ".php"))
{
	require_once(KERNEL . "Addons" . Addons . ".php");
	$Addons = new Addons();
}
else
{	
	$errortxt = $errortxt . "<p><pre><b>No existe el archivo " . KERNEL . "Addons" . Addons . ".php</b></pre></p>";
}

###############################LoadFILES###################################

$FileKernelFile = LoadKernelFile;
$FileCommunity = LoadCommunity;
$FileQuickRegister = LoadQuickRegister;
$FileTemplate = LoadSubHeaders;
$FileTLR = LoadTLR;
$FileFooter = LoadFooter;

function LoadFile($Folder, $FileName)
{
	if(file_exists($Folder . $FileName . '.php'))
	{
		require_once('./' . $Folder . $FileName . '.php');
	}
	else
	{
		$errortxt =  $errortxt . "<p><pre><b>No ha sido encontrado un archivo de XdrCMS.<br />Por favor asegurate de que el archivo ./" . $Folder . $FileName . ".php' exista</b></pre></p>";
	}
}

if($FileKernelFile != "LoadKernelFile")
{
	if(file_exists(KERNEL .  LoadKernelFile . ".php"))
	{
		require_once(KERNEL .  LoadKernelFile . ".php");
	}
	else
	{
		$errortxt =  $errortxt . "<p><pre><b>No ha sido encontrado un archivo de XdrCMS.<br />Por favor asegurate de que el archivo '" . KERNEL .  LoadKernelFile. ".php' exista</b></pre></p>";
	}
}

if($FileCommunity != "LoadCommunity")
{
	if(file_exists(Files . 'Community/' . LoadCommunity))
	{
		require_once(Files . 'Community/'  . LoadCommunity);
	}
	else
	{
		$errortxt =  $errortxt . "<p><pre><b>No ha sido encontrado un archivo de XdrCMS.<br />Por favor asegurate de que el archivo '" . Files . "Community/" . LoadCommunity . "' exista</b></pre></p>";
	}
}

if($FileQuickRegister != "LoadQuickRegister")
{
	if(file_exists(Files . 'QuickRegister/' . LoadQuickRegister))
	{
		require_once(Files . 'QuickRegister/'  . LoadQuickRegister);
	}
	else
	{
		$errortxt =  $errortxt . "<p><pre><b>No ha sido encontrado un archivo de XdrCMS.<br />Por favor asegurate de que el archivo '" . Files . "QuickRegister/" . LoadQuickRegister . "' exista</b></pre></p>";
	}
}

if($FileTemplate != "LoadSubHeaders")
{
	if(file_exists(Files . 'Templates\SubHeaders/' . LoadSubHeaders . '.php'))
	{
		require_once(Files . 'Templates/SubHeaders/' . LoadSubHeaders . '.php');
	}
	else
	{
		$errortxt =  $errortxt . "<p><pre><b>No ha sido encontrado un archivo de XdrCMS.<br />Por favor asegurate de que el archivo '" . Files . "Templates\SubHeaders/" . LoadSubHeaders . ".php' exista</b></pre></p>";
	}
}

if($FileTLR != "LoadTLR")
{
	if(file_exists(Files . 'TLR/' . LoadTLR . '.TLR'))
	{
		require_once(Files . 'TLR/' . LoadTLR . '.TLR');
	}
	else
	{
		$errortxt =  $errortxt . "<p><pre><b>No ha sido encontrado un archivo de XdrCMS.<br />Por favor asegurate de que el archivo '" . Files . "TLR/" . LoadTLR . ".TLR' exista</b></pre></p>";
	}
}

if($FileFooter != "LoadFooter")
{
	if(file_exists(Files . 'Templates\Footers/' . LoadFooter . '.php'))
	{
		require_once(Files . 'Templates\Footers/' . LoadFooter . '.php');
	}
	else
	{
		$errortxt =  $errortxt . "<p><pre><b>No ha sido encontrado un archivo de XdrCMS.<br />Por favor asegurate de que el archivo '" . Files . "Templates\Footers/" . LoadFooter . ".php' exista</b></pre></p>";
	}
}

if(!empty($errortxt)) // Mostrar error
{
	@writeError("Ha sucedido un error fatal!", $errortxt);
}

?>